=== debian/changelog ===
ros-kinetic-agni-tf-tools (0.1.3-1xenial) xenial; urgency=high

  * remove superfluous marker_node_
  * avoid spurious tf messages when display was saved in disabled state
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 26 Mar 2020 23:00:00 -0000

ros-kinetic-agni-tf-tools (0.1.2-1xenial) xenial; urgency=high

  * fix compiler warnings
  * cmake: cleanup, correctly announce exported lib
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-agni-tf-tools (0.1.1-1xenial) xenial; urgency=high

  * install header files for rviz properties
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 29 Oct 2018 23:00:00 -0000
